summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkos Chandras <hwoarang@gentoo.org>2011-01-15 21:13:25 +0000
committerMarkos Chandras <hwoarang@gentoo.org>2011-01-15 21:13:25 +0000
commitb09dfce1e213d280089bd5529519e08885808fd5 (patch)
tree62ce54e600c6df8905b20b3193d5fd82fe3113eb /net-misc/logmein-hamachi/files
parentAdd new hamachi license (diff)
downloadgentoo-2-b09dfce1e213d280089bd5529519e08885808fd5.tar.gz
gentoo-2-b09dfce1e213d280089bd5529519e08885808fd5.tar.bz2
gentoo-2-b09dfce1e213d280089bd5529519e08885808fd5.zip
Initial commit of new hamachi client. Bug #350172. Thanks to Simone Scanzoni <nonno.cicala@libero.it> for the ebuilds and scripts.
(Portage version: 2.1.9.31/cvs/Linux x86_64)
Diffstat (limited to 'net-misc/logmein-hamachi/files')
-rw-r--r--net-misc/logmein-hamachi/files/logmein-hamachi.confd16
-rw-r--r--net-misc/logmein-hamachi/files/logmein-hamachi.initd56
2 files changed, 72 insertions, 0 deletions
diff --git a/net-misc/logmein-hamachi/files/logmein-hamachi.confd b/net-misc/logmein-hamachi/files/logmein-hamachi.confd
new file mode 100644
index 000000000000..0b6aac55c987
--- /dev/null
+++ b/net-misc/logmein-hamachi/files/logmein-hamachi.confd
@@ -0,0 +1,16 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/logmein-hamachi/files/logmein-hamachi.confd,v 1.1 2011/01/15 21:13:25 hwoarang Exp $
+
+# /etc/conf.d/logmein-hamachi
+# Config file for logmein-hamachi control script
+
+# Location of config, identity and log files
+CONFDIR="/var/lib/logmein-hamachi"
+
+# Your nickname
+# Set it to enable auto-login when starting the service
+NICKNAME=""
+
+# Seconds to wait before auto-login (if enabled)
+WAIT="2"
diff --git a/net-misc/logmein-hamachi/files/logmein-hamachi.initd b/net-misc/logmein-hamachi/files/logmein-hamachi.initd
new file mode 100644
index 000000000000..f62674362f26
--- /dev/null
+++ b/net-misc/logmein-hamachi/files/logmein-hamachi.initd
@@ -0,0 +1,56 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+DAEMON=/opt/logmein-hamachi/bin/hamachid
+PIDFILE=/var/run/logmein-hamachi/hamachid.pid
+
+depend() {
+ need net
+}
+
+start()
+{
+ # returns
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+
+ ebegin "Starting hamachi"
+
+ start-stop-daemon --quiet --start --exec "${DAEMON}" \
+ --pidfile "${PIDFILE}" -- -c "${CONFDIR}"
+ result=$?
+
+ if [ ${result} -eq 0 ] && [ -n "${NICKNAME}" ]; then
+ # it fails logging in immediately
+ sleep ${WAIT}
+ /usr/bin/hamachi login
+ if [ -z "$(/usr/bin/hamachi | grep 'logged in')" ]; then
+ start-stop-daemon --quiet --stop \
+ --exec "${DAEMON}" --pidfile "${PIDFILE}"
+ result=1
+ else
+ /usr/bin/hamachi set-nick "${NICKNAME}"
+ fi
+ fi
+
+ eend ${result}
+}
+
+stop()
+{
+ # returns
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+
+ ebegin "Stopping hamachi"
+
+ /usr/bin/hamachi logout >> /dev/null
+ start-stop-daemon --quiet --stop --exec "${DAEMON}" \
+ --pidfile "${PIDFILE}"
+
+ eend $?
+}